# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Name:           gnu-regexp
Version:        1.1.4
Release:        13%{?dist}
Epoch:          0
Summary:        Java NFA regular expression engine implementation
License:        LGPLv2+
Group:          Development/Libraries/Java
URL:            http://www.cacas.org/java/gnu/regexp/
Source0:        ftp://ftp.tralfamadore.com/pub/java/gnu.regexp-1.1.4.tar.gz
Source1:        %{name}.build.xml
BuildRequires:  ant
BuildRequires:  gnu-getopt
BuildRequires:  jpackage-utils >= 0:1.6
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Provides:       gnu.regexp = %{epoch}:%{version}-%{release}
Obsoletes:      gnu.regexp < %{epoch}:%{version}-%{release}

%description
The gnu.regexp package is a pure-Java implementation of a traditional
(non-POSIX) NFA regular expression engine. Its syntax can emulate many
popular development tools, including awk, sed, emacs, perl and grep. For
a relatively complete list of supported and non-supported syntax, refer
to the syntax and usage notes.

%package demo
Summary:        Demo for %{name}
Group:          Development/Libraries/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       gnu.getopt = %{epoch}:%{version}-%{release}
Provides:       gnu.regexp-demo = %{epoch}:%{version}-%{release}
Obsoletes:      gnu.regexp-demo < %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       gnu.regexp-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      gnu.regexp-javadoc < %{epoch}:%{version}-%{release}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n gnu.regexp-%{version}
%__cp -a %{SOURCE1} build.xml
# remove all binary libs
find . -name "*.jar" | xargs %{__rm}

%build
export OPT_JAR_LIST=:
export CLASSPATH=$(build-classpath gnu.getopt)
%ant jar javadoc

%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a build/lib/gnu.regexp.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%__ln_s %{name}-%{version}.jar %{buildroot}%{_javadir}/gnu.regexp-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %__ln_s ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# demo
%__mkdir_p %{buildroot}%{_datadir}/%{name}/gnu/regexp/util
%__cp -a build/classes/gnu/regexp/util/*.class \
  %{buildroot}%{_datadir}/%{name}/gnu/regexp/util
%__ln_s %{name} %{buildroot}%{_datadir}/gnu.regexp

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a build/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/gnu.regexp-%{version}
%__ln_s gnu.regexp-%{version} %{buildroot}%{_javadocdir}/gnu.regexp

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc COPYING COPYING.LIB README TODO docs/*.html
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/gnu.regexp-%{version}.jar
%{_javadir}/gnu.regexp.jar

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}
%{_datadir}/gnu.regexp

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%{_javadocdir}/gnu.regexp-%{version}
%{_javadocdir}/gnu.regexp

%changelog
* Mon Sep 22 2008 David Walluck <dwalluck@redhat.com> 0:1.1.4-13
- fix typo in spec
- update License

* Mon Sep 22 2008 David Walluck <dwalluck@redhat.com> 0:1.1.4-12
- add compat symlinks

* Mon Sep 22 2008 David Walluck <dwalluck@redhat.com> 0:1.1.4-11
- build for JPackage 5

* Thu May 04 2006 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-10jpp
- First JPP-1.7 release
- Change name to gnu-regexp, Provide/Obsolete gnu.regexp
- Still provide gnu.regexp.jar as symlink

* Wed Feb 16 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-9jpp
- Build with javac 1.4.2

* Sun Feb 06 2005 David Walluck <david@jpackage.org> 0:1.1.4-8jpp
- add non-versioned javadoc link
- modernize spec

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-7jpp
- Build with ant-1.6.2

* Sun Sep 28 2003 David Walluck <david@anti-microsoft.org> 0:1.1.4-6jpp
- add Distribution and Vendor tags

* Thu Mar 27 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.1.4-5jpp
- Adapted for JPackage 1.5.

* Sat Feb 01 2003 David Walluck <david@anti-microsoft.org> 1.1.4-4jpp
- remove vendor tag

* Sat Feb 01 2003 David Walluck <david@anti-microsoft.org> 1.1.4-3jpp
- move gnu.regexp.util classes to demo package in order to remove the
  gnu.getopt dependency from the main package
- remove bzip2 compression on build script

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.4-2jpp
- versioned dir for javadoc
- no dependencies for javadoc package
- additional sources in individual archives
- section macro

* Sat Dec 8 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.4-1jpp
- first JPackage release
